#station-edit-form {

    .card-header.categories {
        cursor: pointer;
    }
}

.antenna-label, .frequency-ranges-label {
    display: inline-block;
    max-width: 100%;
    margin: 5px 3px 0 0;
    font-weight: 700;
}

.frequency-ranges {
    padding: 2px 0;
}

.frequency-ranges-label {
    margin-bottom: 5px;
}

#new-ranges {
    display: flex;
    align-items: flex-end;

    .default-range-label {
        display: block;
        font-weight: 700;
        margin-bottom: 5px;
    }
}

#json-editor-container .form-group.is-invalid input {
    border-color: #dc3545;
    padding-right: calc(1.5em + .75rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' stroke='%23dc3545' viewBox='0 0 12 12'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(.375em + .1875rem) center;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);

    &:focus {
        box-shadow: 0 0 0 .2rem rgba(220, 53, 69, .25);
    }
}

.form-group.is-invalid .dropdown-toggle.btn {
    border-color: #dc3545;

    &:focus {
        box-shadow: 0 0 0 .2rem rgba(220, 53, 69, .25);
    }
}

#config-required-asterisk {
    display: none;

    &.station-type-invalid, &.schema-invalid {
        display: inline;
    }
}
